<div class="frame">
  <mat-grid-list cols="2" gutterSize="10px" rowHeight="30px">
    <mat-grid-tile>
      <div class="left-align">Id: {{ measurementDto.id }}</div>
    </mat-grid-tile>
    <mat-grid-tile>
      <div class="left-align">Datum: {{ measurementDto.createDate }}</div>
    </mat-grid-tile>
    <mat-grid-tile>
      <div class="left-align">Iterationen: {{ measurementDto.iterations }}</div>
    </mat-grid-tile>
    <mat-grid-tile>
      <div class="left-align">Präzision: {{ measurementDto.precision }}</div>
    </mat-grid-tile>
    <mat-grid-tile colspan="2">
      <div class="left-align">Checked:
        <mat-icon style="vertical-align: middle"
                  [class]="getClass(measurementDto.checked)">{{ getIcon(measurementDto.checked) }}
        </mat-icon>
      </div>
    </mat-grid-tile>
    <mat-grid-tile colspan="2">
      <div class="left-align">Executed:
        <mat-icon style="vertical-align: middle"
                  [class]="getClass(measurementDto.executing)">{{ getIcon(measurementDto.executing) }}
        </mat-icon>
        {{ measurementDto.totalFinishedParts }} von {{ measurementDto.iterations }}
      </div>
    </mat-grid-tile>
    <mat-grid-tile colspan="2">
      <div class="left-align">Finalized:
        <mat-icon style="vertical-align: middle"
                  [class]="getClass(measurementDto.finalized)">{{ getIcon(measurementDto.finalized) }}
        </mat-icon>
      </div>
    </mat-grid-tile>
  </mat-grid-list>
  <mat-card style="width: 100%;">
    <mat-card-content>
      <button class="buttonStyle" mat-flat-button
              [disabled]="!measurementDto.finalized" color="primary"
              (click)="openResultDialog(measurementDto.id)">Ergebnis ansehen
      </button>
      <button class="buttonStyle" mat-flat-button
              [disabled]="measurementDto.finalized && !measurementDto.started && !measurementDto.executing"
              [color]="setActiveButtonColor((measurementDto.finalized && measurementDto.checked && measurementDto.executing), 'inActiveColor','startAction')"
              (click)="emitFinalizeEntry()">
        Finalisierung starten
      </button>
      <button class="buttonStyle" mat-flat-button color="details"
              (click)="openMeasurementPartsDialog(measurementDto.id)">Details ansehen
      </button>
      <button class="buttonStyle" mat-flat-button color="deleteAction" (click)="emitDeleteEntry()">Löschen</button>
      <button class="buttonStyle" mat-flat-button color="timings" [disabled]="measurementDto.started"
              (click)="openTimingsDialog(measurementDto.id)">Timings
      </button>
      <button class="buttonStyle" mat-flat-button color="distribution" [disabled]="measurementDto.started"
              (click)="openDistributionDialog(measurementDto.id)">Verteilung
      </button>
      <button class="buttonStyle" mat-flat-button color="distribution" [disabled]="measurementDto.started"
              (click)="openStatisticsDialog(measurementDto.id)">Statistiken
      </button>
    </mat-card-content>
  </mat-card>
</div>

